Get start hook
curl --request GET \
--url https://api.replicas.dev/v1/environments/{environment_id}/start-hooks \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.replicas.dev/v1/environments/{environment_id}/start-hooks"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.replicas.dev/v1/environments/{environment_id}/start-hooks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"start_hook": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"environment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"version": 123,
"content": "<string>",
"is_active": true,
"created_at": "2023-11-07T05:31:56Z"
}
}{
"error": "<string>",
"details": "<string>",
"code": "<string>"
}{
"error": "<string>",
"details": "<string>",
"code": "<string>"
}{
"error": "<string>",
"details": "<string>",
"code": "<string>"
}Hooks
Get start hook
Returns the environment’s start hook. Start hooks run when a workspace starts, before repository hooks.
GET
/
v1
/
environments
/
{environment_id}
/
start-hooks
Get start hook
Authorizations
Organization or personal API key from Settings → API Keys.
Headers
API version. 2026-10-07 returns snake_case responses. See versioning.
Available options:
2026-10-07 Path Parameters
Environment UUID, or the literal string global.
Response
Successful response
The active start hook for the environment (null if none has ever been saved).
Show child attributes
Show child attributes
⌘I